/*
  Interactive light
  Turns on an LED when the proximity sensor is approached.
 
  This example code is provided by E-LUCID.
 */
 
// Our LED is connected to pin 11
int led = 11;

// Our sensor is connected to pin A4
int sensor = A4;

// the setup routine runs once on startup and when you press reset:
void setup() {                
  // initialize the LED pin as an output.
  pinMode(led, OUTPUT); 
  // initialize the sensor pin as an input.
  pinMode(sensor, INPUT); 
  // initialize serial communication
  Serial.begin(9600);  
}

// the loop routine runs over and over again forever:
void loop() {
  //check IF the sensor value is higher than 10
  if (analogRead(sensor) > 10){
    //when the sensor value is higher than 10 the led turns on
    digitalWrite(led, HIGH);
    //send the serial message between the quote signs
    Serial.println("The sensor is high");
  }else{
    //when the sensor value is NOT higher than 10 the led turns off
    digitalWrite(led, LOW);
  }
}
